#!/usr/bin/osascript

on run argv
	set l_subject to ""
	set l_body to ""
	set l_attach to ""
	set l_address to ""
	repeat with l_i from 1 to count of argv
		set l_arg to item l_i of argv
		if character 1 of l_arg = "s" and length of l_arg > 1 then
			set l_subject to text 2 through -1 of l_arg
		end if
		if character 1 of l_arg = "c" and length of l_arg > 1 then
			set l_body to text 2 through -1 of l_arg
		end if
		if character 1 of l_arg = "a" and length of l_arg > 1 then
			set l_attach to text 2 through -1 of l_arg
		end if
		if character 1 of l_arg = "r" and length of l_arg > 1 then
			set l_address to text 2 through -1 of l_arg
		end if
	end repeat
	tell application "Mail"
		set l_message to make new outgoing message with properties 
			{visible:true, subject:l_subject, content:l_body}
		if l_address is not equal to "" then
			tell l_message
				make new to recipient at end of to recipients with properties 
					{address:l_address}
			end tell
		end if
		if l_attach is not equal to "" then
			tell l_message
				make new attachment with properties 
					{file name:l_attach} 
						at after last paragraph
			end tell
		end if
	end tell
end run

